> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List record attribute values

> Gets all values for a given attribute on a record. Historic values can be queried using the `show_historic` query param. Historic values cannot be queried on COMINT (Communication Intelligence) or enriched attributes and the endpoint will return a 400 error if this is attempted. Historic values are sorted from oldest to newest (by `active_from`). Some attributes are subject to billing status and will return an empty array of values if theworkspace being queried does not have the required billing flag enabled.

Required scopes: `record_permission:read`, `object_configuration:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/api get /v2/objects/{object}/records/{record_id}/attributes/{attribute}/values
openapi: 3.1.0
info:
  title: Attio API
  version: 2.0.0
  contact:
    name: Attio Support
    email: support@attio.com
    url: https://attio.com/help
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
tags:
  - name: Objects
    description: >-
      Objects are the core data models inside of Attio. They contain standard
      objects, such as
      [people](/rest-api/endpoint-reference/standard-objects/people/list-person-records),
      [companies](/rest-api/endpoint-reference/standard-objects/companies/list-company-records)
      or [deals](/docs/standard-objects-deals), and custom objects that are
      specific to your use-case. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Object views
    description: Object views are saved table or board layouts for an object.
  - name: List views
    description: List views are saved table or board layouts for a list.
  - name: Attributes
    description: >-
      Attributes model properties of objects and lists. Some attributes, such as
      the `name` attribute on a person, are system-defined, while others are
      user-defined. Attributes are one of [many types](/docs/attribute-types)
      such as text, location or select. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Records
    description: >-
      Records are individual instances of objects e.g. a specific
      [person](/rest-api/endpoint-reference/standard-objects/people/list-person-records)
      or
      [company](/rest-api/endpoint-reference/standard-objects/companies/list-company-records).
      See our [objects and lists guide](/docs/objects-and-lists) for more
      information.
  - name: SCIM groups
    description: >-
      SCIM groups represent Attio teams managed through the SCIM provisioning
      protocol.
  - name: SCIM schemas
    description: >-
      SCIM schemas describe the resource types supported by the SCIM service
      provider.
  - name: SCIM users
    description: >-
      SCIM users represent workspace members managed through the SCIM
      provisioning protocol.
  - name: Lists
    description: >-
      Lists are used to model a particular process. A list contains many records
      of a single object type, where each record is represented by an entry.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Meta
    description: Meta endpoints are used to get information about the API token.
  - name: Entries
    description: >-
      Entries are elements in a list that reference a single parent record.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Files
    description: >-
      Files are documents and folders linked to records, stored either in Attio
      or connected via external storage providers.
  - name: Workspace members
    description: >-
      Workspace members represent a user with access to a workspace. Workspace
      members are assigned roles that determine what they can do within the
      workspace.
  - name: Notes
    description: Notes are rich text documents that reference a single parent record.
  - name: Meetings
    description: >-
      Meetings are events synced from your calendar, added manually or added
      from third-party integrations.
  - name: Call recordings
    description: >-
      Call recordings store video, audio, transcript and speaker information for
      calls. They are linked to meetings.
  - name: Transcripts
    description: >-
      Transcripts contain the speech segments and speaker information for a call
      recording. They are linked to call recordings.
  - name: Tasks
    description: >-
      A task is a defined, actionable item with references to linked records and
      assigned workspace members.
  - name: Webhooks
    description: >-
      Webhooks allow you to listen for changes to data in Attio, for example
      when a record is updated.
  - name: Threads
    description: >-
      Threads are groups of
      [comments](/rest-api/endpoint-reference/comments/get-a-comment) on either
      a record or entry.
  - name: Comments
    description: >-
      Comments are messages on a
      [thread](/rest-api/endpoint-reference/threads/list-threads).
  - name: People
    description: >-
      People are one of the core objects inside of Attio. Person records can be
      added to lists and can be created automatically when syncing your mailbox.
  - name: Companies
    description: >-
      Companies are one of the core objects inside of Attio. Company records can
      be added to lists and can be created automatically when syncing your
      mailbox.
  - name: Users
    description: >-
      Users are an optional standard object that represents a user of your
      system. Users can belong to many workspaces.
  - name: Deals
    description: >-
      Deals are an optional standard object that represent a deal or
      opportunity.
  - name: Workspaces
    description: >-
      Workspaces are an optional standard object that represent a workspace or
      account in your system. Workspaces have many users and can be used to
      model a multi-tenant system. A company record can optionally have multiple
      workspaces.
paths:
  /v2/objects/{object}/records/{record_id}/attributes/{attribute}/values:
    get:
      tags:
        - Records
      summary: List record attribute values
      description: >-
        Gets all values for a given attribute on a record. Historic values can
        be queried using the `show_historic` query param. Historic values cannot
        be queried on COMINT (Communication Intelligence) or enriched attributes
        and the endpoint will return a 400 error if this is attempted. Historic
        values are sorted from oldest to newest (by `active_from`). Some
        attributes are subject to billing status and will return an empty array
        of values if theworkspace being queried does not have the required
        billing flag enabled.


        Required scopes: `record_permission:read`, `object_configuration:read`.
      parameters:
        - schema:
            type: string
            description: A UUID or slug to identify the object the record belongs to.
            example: people
          required: true
          name: object
          in: path
        - schema:
            type: string
            format: uuid
            description: A UUID to identify the record you want to query values on.
            example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
          required: true
          name: record_id
          in: path
        - schema:
            type: string
            description: >-
              A UUID or slug to identify the attribute you want to query values
              on.
            example: 41252299-f8c7-4b5e-99c9-4ff8321d2f96
          required: true
          name: attribute
          in: path
        - schema:
            type: boolean
            description: >-
              If `true`, the endpoint will return all historic values for the
              attribute. If `false`, the endpoint will only return the currently
              active value(s). Defaults to `false`. Cannot be set to `true` for
              COMINT attributes or enriched attributes on people/company
              objects.
            example: true
            default: false
          required: false
          name: show_historic
          in: query
        - schema:
            type: integer
            description: >-
              The maximum number of results to return. See the [full guide to
              pagination here](/rest-api/guides/pagination).
            example: 10
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            description: >-
              The number of results to skip over before returning. See the [full
              guide to pagination here](/rest-api/guides/pagination).
            example: 5
          required: false
          name: offset
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            referenced_actor_type:
                              type: string
                              enum:
                                - api-token
                                - workspace-member
                                - system
                                - app
                              description: >-
                                The type of the referenced actor. [Read more
                                information on actor types here](/docs/actors).
                              example: workspace-member
                            referenced_actor_id:
                              type:
                                - string
                                - 'null'
                              format: uuid
                              description: The ID of the referenced actor.
                              example: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            attribute_type:
                              type: string
                              enum:
                                - actor-reference
                              description: The attribute type of the value.
                              example: actor-reference
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - referenced_actor_type
                            - referenced_actor_id
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            value:
                              type: boolean
                              description: >-
                                A boolean representing whether the checkbox is
                                checked or not. The string values 'true' and
                                'false' are also accepted.
                              example: true
                            attribute_type:
                              type: string
                              enum:
                                - checkbox
                              description: The attribute type of the value.
                              example: checkbox
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - value
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            currency_value:
                              type: number
                              description: >-
                                A numerical representation of the currency
                                value. A decimal with a max of 4 decimal places.
                              example: 99
                            currency_code:
                              type:
                                - string
                                - 'null'
                              enum:
                                - ARS
                                - AUD
                                - BRL
                                - BGN
                                - CAD
                                - CLP
                                - CNY
                                - COP
                                - CZK
                                - DKK
                                - EUR
                                - FJD
                                - HKD
                                - HUF
                                - ISK
                                - INR
                                - ILS
                                - JPY
                                - KES
                                - KRW
                                - MYR
                                - MXN
                                - NTD
                                - NZD
                                - NGN
                                - NOK
                                - XPF
                                - PEN
                                - PHP
                                - PLN
                                - GBP
                                - RWF
                                - SAR
                                - SGD
                                - ZAR
                                - SEK
                                - CHF
                                - THB
                                - AED
                                - UYU
                                - USD
                              description: >-
                                The ISO4217 currency code representing the
                                currency that the value is stored in.
                              example: USD
                            attribute_type:
                              type: string
                              enum:
                                - currency
                              description: The attribute type of the value.
                              example: currency
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - currency_value
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            attribute_type:
                              type: string
                              enum:
                                - date
                              description: The attribute type of the value.
                              example: date
                            value:
                              type: string
                              description: >-
                                A date represents a single calendar year, month
                                and day, independent of timezone. If hours,
                                months, seconds or timezones are provided, they
                                will be trimmed. For example, "2023" and
                                "2023-01" will be coerced into "2023-01-01", and
                                "2023-01-02", "2023-01-02T13:00",
                                "2023-01-02T14:00:00",
                                "2023-01-02T15:00:00.000000000", and
                                "2023-01-02T15:00:00.000000000+02:00" will all
                                be coerced to "2023-01-02". If a timezone is
                                provided that would result in a different
                                calendar date in UTC, the date will be coerced
                                to UTC and then the timezone component will be
                                trimmed. For example, the value
                                "2023-01-02T23:00:00-10:00" will be returned as
                                "2023-01-03". The maximum date is "9999-12-31".
                              example: '2023-01-01'
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - attribute_type
                            - value
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            domain:
                              type: string
                              example: app.attio.com
                            root_domain:
                              type: string
                              example: attio.com
                            attribute_type:
                              type: string
                              enum:
                                - domain
                              description: The attribute type of the value.
                              example: domain
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - domain
                            - root_domain
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            original_email_address:
                              type: string
                              example: alice@app.attio.com
                            email_address:
                              type: string
                              example: alice@app.attio.com
                            email_domain:
                              type: string
                              example: app.attio.com
                            email_root_domain:
                              type: string
                              example: attio.com
                            email_local_specifier:
                              type: string
                              example: alice
                            attribute_type:
                              type: string
                              enum:
                                - email-address
                              description: The attribute type of the value.
                              example: email-address
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - original_email_address
                            - email_address
                            - email_domain
                            - email_root_domain
                            - email_local_specifier
                            - attribute_type
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            target_object:
                              type: string
                              description: >-
                                A slug identifying the object that the
                                referenced record belongs to.
                              example: people
                            target_record_id:
                              type: string
                              format: uuid
                              description: A UUID to identify the referenced record.
                              example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                            attribute_type:
                              type: string
                              enum:
                                - record-reference
                              description: The attribute type of the value.
                              example: record-reference
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - target_object
                            - target_record_id
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            interaction_type:
                              type: string
                              enum:
                                - calendar-event
                                - call
                                - chat-thread
                                - email
                                - in-person-meeting
                                - meeting
                              description: The type of interaction e.g. calendar or email.
                              example: email
                            interacted_at:
                              type: string
                              format: date-time
                              description: When the interaction occurred.
                              example: '2023-01-01T15:00:00.000000000Z'
                            owner_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            attribute_type:
                              type: string
                              enum:
                                - interaction
                              description: The attribute type of the value.
                              example: interaction
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - interaction_type
                            - interacted_at
                            - owner_actor
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            line_1:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The first line of the address. Note that this
                                value is not currently represented in the UI but
                                will be persisted and readable through API
                                calls.
                              example: 1 Infinite Loop
                            line_2:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The second line of the address. Note that this
                                value is not currently represented in the UI but
                                will be persisted and readable through API
                                calls.
                              example: Block 1
                            line_3:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The third line of the address. Note that this
                                value is not currently represented in the UI but
                                will be persisted and readable through API
                                calls.
                              example: Hilldrop Estate
                            line_4:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The fourth line of the address. Note that this
                                value is not currently represented in the UI but
                                will be persisted and readable through API
                                calls.
                              example: Westborough
                            locality:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The town, neighborhood or area the location is
                                in.
                              example: Cupertino
                            region:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The state, county, province or region that the
                                location is in.
                              example: CA
                            postcode:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The postcode or zip code for the location. Note
                                that this value is not currently represented in
                                the UI but will be persisted and readable
                                through API calls.}
                              example: '95014'
                            country_code:
                              type:
                                - string
                                - 'null'
                              enum:
                                - AF
                                - AX
                                - AL
                                - DZ
                                - AS
                                - AD
                                - AO
                                - AI
                                - AQ
                                - AG
                                - AR
                                - AM
                                - AW
                                - AU
                                - AT
                                - AZ
                                - BS
                                - BH
                                - BD
                                - BB
                                - BY
                                - BE
                                - BZ
                                - BJ
                                - BM
                                - BT
                                - BO
                                - BA
                                - BW
                                - BV
                                - BR
                                - IO
                                - BN
                                - BG
                                - BF
                                - BI
                                - KH
                                - CM
                                - CA
                                - CV
                                - KY
                                - CF
                                - TD
                                - CL
                                - CN
                                - CX
                                - CC
                                - CO
                                - KM
                                - CG
                                - CD
                                - CK
                                - CR
                                - CI
                                - HR
                                - CU
                                - CW
                                - CY
                                - CZ
                                - DK
                                - DJ
                                - DM
                                - DO
                                - EC
                                - EG
                                - SV
                                - GQ
                                - ER
                                - EE
                                - ET
                                - FK
                                - FO
                                - FJ
                                - FI
                                - FR
                                - GF
                                - PF
                                - TF
                                - GA
                                - GM
                                - GE
                                - DE
                                - GH
                                - GI
                                - GR
                                - GL
                                - GD
                                - GP
                                - GU
                                - GT
                                - GG
                                - GN
                                - GW
                                - GY
                                - HT
                                - HM
                                - VA
                                - HN
                                - HK
                                - HU
                                - IS
                                - IN
                                - ID
                                - IR
                                - IQ
                                - IE
                                - IM
                                - IL
                                - IT
                                - JM
                                - JP
                                - JE
                                - JO
                                - KZ
                                - KE
                                - KI
                                - KR
                                - KW
                                - KG
                                - LA
                                - LV
                                - LB
                                - LS
                                - LR
                                - LY
                                - LI
                                - LT
                                - LU
                                - MO
                                - MK
                                - MG
                                - MW
                                - MY
                                - MV
                                - ML
                                - MT
                                - MH
                                - MQ
                                - MR
                                - MU
                                - YT
                                - MX
                                - FM
                                - MD
                                - MC
                                - MN
                                - ME
                                - MS
                                - MA
                                - MZ
                                - MM
                                - NA
                                - NR
                                - NP
                                - NL
                                - AN
                                - NC
                                - NZ
                                - NI
                                - NE
                                - NG
                                - NU
                                - NF
                                - MP
                                - 'NO'
                                - OM
                                - PK
                                - PW
                                - PS
                                - PA
                                - PG
                                - PY
                                - PE
                                - PH
                                - PN
                                - PL
                                - PT
                                - PR
                                - QA
                                - RE
                                - RO
                                - RU
                                - RW
                                - BL
                                - SH
                                - KN
                                - LC
                                - MF
                                - PM
                                - VC
                                - WS
                                - SM
                                - ST
                                - SA
                                - SN
                                - SS
                                - RS
                                - SC
                                - SL
                                - SG
                                - SK
                                - SI
                                - SB
                                - SO
                                - ZA
                                - GS
                                - ES
                                - LK
                                - SD
                                - SR
                                - SJ
                                - SZ
                                - SE
                                - CH
                                - SY
                                - TW
                                - TJ
                                - TZ
                                - TH
                                - TL
                                - TG
                                - TK
                                - TO
                                - TT
                                - TN
                                - TR
                                - TM
                                - TC
                                - TV
                                - UG
                                - UA
                                - AE
                                - GB
                                - US
                                - UM
                                - UY
                                - UZ
                                - VU
                                - VE
                                - VN
                                - VG
                                - VI
                                - WF
                                - EH
                                - YE
                                - ZM
                                - ZW
                                - BQ
                                - KP
                                - SX
                                - XK
                                - AC
                              description: >-
                                The ISO 3166-1 alpha-2 country code for the
                                country this location is in.
                              example: US
                            latitude:
                              type:
                                - string
                                - 'null'
                              pattern: ^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?)$
                              description: >-
                                The latitude of the location. Validated by the
                                regular expression
                                `/^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?)$/`. Values
                                are stored with up to 9 decimal places of
                                precision. Note that this value is not currently
                                represented in the UI but will be persisted and
                                readable through API calls.}
                              example: '37.331741'
                            longitude:
                              type:
                                - string
                                - 'null'
                              pattern: >-
                                ^[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$
                              description: >-
                                The longitude of the location. Validated by the
                                regular expression
                                `/^[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$/`.
                                Values are stored with up to 9 decimal places of
                                precision. Note that this value is not currently
                                represented in the UI but will be persisted and
                                readable through API calls.}
                              example: '-122.030333'
                            attribute_type:
                              type: string
                              enum:
                                - location
                              description: The attribute type of the value.
                              example: location
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - line_1
                            - line_2
                            - line_3
                            - line_4
                            - locality
                            - region
                            - postcode
                            - country_code
                            - latitude
                            - longitude
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            value:
                              type: number
                              description: Numbers are persisted as 64 bit floats.
                              example: 42
                            attribute_type:
                              type: string
                              enum:
                                - number
                              description: The attribute type of the value.
                              example: number
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - value
                            - attribute_type
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            first_name:
                              type: string
                              example: Ada
                              description: The first name.
                            last_name:
                              type: string
                              example: Lovelace
                              description: The last name.
                            full_name:
                              type: string
                              example: Ada Lovelace
                              description: The full name.
                            attribute_type:
                              type: string
                              enum:
                                - personal-name
                              description: The attribute type of the value.
                              example: personal-name
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - first_name
                            - last_name
                            - full_name
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            original_phone_number:
                              type: string
                              description: The raw, original phone number, as inputted.
                              example: '5558675309'
                            country_code:
                              type: string
                              description: >-
                                The ISO 3166-1 alpha-2 country code representing
                                the country that this phone number belongs to.
                              enum:
                                - AF
                                - AX
                                - AL
                                - DZ
                                - AS
                                - AD
                                - AO
                                - AI
                                - AQ
                                - AG
                                - AR
                                - AM
                                - AW
                                - AU
                                - AT
                                - AZ
                                - BS
                                - BH
                                - BD
                                - BB
                                - BY
                                - BE
                                - BZ
                                - BJ
                                - BM
                                - BT
                                - BO
                                - BA
                                - BW
                                - BV
                                - BR
                                - IO
                                - BN
                                - BG
                                - BF
                                - BI
                                - KH
                                - CM
                                - CA
                                - CV
                                - KY
                                - CF
                                - TD
                                - CL
                                - CN
                                - CX
                                - CC
                                - CO
                                - KM
                                - CG
                                - CD
                                - CK
                                - CR
                                - CI
                                - HR
                                - CU
                                - CW
                                - CY
                                - CZ
                                - DK
                                - DJ
                                - DM
                                - DO
                                - EC
                                - EG
                                - SV
                                - GQ
                                - ER
                                - EE
                                - ET
                                - FK
                                - FO
                                - FJ
                                - FI
                                - FR
                                - GF
                                - PF
                                - TF
                                - GA
                                - GM
                                - GE
                                - DE
                                - GH
                                - GI
                                - GR
                                - GL
                                - GD
                                - GP
                                - GU
                                - GT
                                - GG
                                - GN
                                - GW
                                - GY
                                - HT
                                - HM
                                - VA
                                - HN
                                - HK
                                - HU
                                - IS
                                - IN
                                - ID
                                - IR
                                - IQ
                                - IE
                                - IM
                                - IL
                                - IT
                                - JM
                                - JP
                                - JE
                                - JO
                                - KZ
                                - KE
                                - KI
                                - KR
                                - KW
                                - KG
                                - LA
                                - LV
                                - LB
                                - LS
                                - LR
                                - LY
                                - LI
                                - LT
                                - LU
                                - MO
                                - MK
                                - MG
                                - MW
                                - MY
                                - MV
                                - ML
                                - MT
                                - MH
                                - MQ
                                - MR
                                - MU
                                - YT
                                - MX
                                - FM
                                - MD
                                - MC
                                - MN
                                - ME
                                - MS
                                - MA
                                - MZ
                                - MM
                                - NA
                                - NR
                                - NP
                                - NL
                                - AN
                                - NC
                                - NZ
                                - NI
                                - NE
                                - NG
                                - NU
                                - NF
                                - MP
                                - 'NO'
                                - OM
                                - PK
                                - PW
                                - PS
                                - PA
                                - PG
                                - PY
                                - PE
                                - PH
                                - PN
                                - PL
                                - PT
                                - PR
                                - QA
                                - RE
                                - RO
                                - RU
                                - RW
                                - BL
                                - SH
                                - KN
                                - LC
                                - MF
                                - PM
                                - VC
                                - WS
                                - SM
                                - ST
                                - SA
                                - SN
                                - SS
                                - RS
                                - SC
                                - SL
                                - SG
                                - SK
                                - SI
                                - SB
                                - SO
                                - ZA
                                - GS
                                - ES
                                - LK
                                - SD
                                - SR
                                - SJ
                                - SZ
                                - SE
                                - CH
                                - SY
                                - TW
                                - TJ
                                - TZ
                                - TH
                                - TL
                                - TG
                                - TK
                                - TO
                                - TT
                                - TN
                                - TR
                                - TM
                                - TC
                                - TV
                                - UG
                                - UA
                                - AE
                                - GB
                                - US
                                - UM
                                - UY
                                - UZ
                                - VU
                                - VE
                                - VN
                                - VG
                                - VI
                                - WF
                                - EH
                                - YE
                                - ZM
                                - ZW
                                - BQ
                                - KP
                                - SX
                                - XK
                                - AC
                              example: US
                            phone_number:
                              type: string
                              example: '+15558675309'
                            attribute_type:
                              type: string
                              enum:
                                - phone-number
                              description: The attribute type of the value.
                              example: phone-number
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - original_phone_number
                            - country_code
                            - phone_number
                            - attribute_type
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            status:
                              $ref: '#/components/schemas/status'
                            attribute_type:
                              type: string
                              enum:
                                - status
                              description: The attribute type of the value.
                              example: status
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - status
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            value:
                              type: number
                              description: >-
                                A number between 0 and 5 (inclusive) to
                                represent a star rating.
                              example: 3
                            attribute_type:
                              type: string
                              enum:
                                - rating
                              description: The attribute type of the value.
                              example: rating
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - value
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            option:
                              $ref: '#/components/schemas/select-option'
                            attribute_type:
                              type: string
                              enum:
                                - select
                              description: The attribute type of the value.
                              example: select
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - option
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            value:
                              type: string
                              description: A raw text field. Values are limited to 10MB.
                              example: >-
                                Lorem ipsum dolor sit amet, consectetur
                                adipiscing elit, sed do eiusmod tempor
                                incididunt ut labore et dolore magna aliqua.
                            attribute_type:
                              type: string
                              enum:
                                - text
                              description: The attribute type of the value.
                              example: text
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - value
                            - attribute_type
                          additionalProperties: false
                        - type: object
                          properties:
                            active_from:
                              type: string
                              format: date-time
                              description: >-
                                The point in time at which this value was made
                                "active". `active_from` can be considered
                                roughly analogous to `created_at`.
                              example: '2023-01-01T15:00:00.000000000Z'
                            active_until:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: >-
                                The point in time at which this value was
                                deactivated. If `null`, the value is active.
                              example: '2023-01-01T15:00:00.000000000Z'
                            created_by_actor:
                              type: object
                              description: The actor that created this value.
                              properties:
                                id:
                                  type: string
                                  description: An ID to identify the actor.
                                  nullable: true
                                type:
                                  type: string
                                  enum:
                                    - api-token
                                    - workspace-member
                                    - system
                                    - app
                                  nullable: true
                                  description: >-
                                    The type of actor. [Read more information on
                                    actor types here](/docs/actors).
                              example:
                                type: workspace-member
                                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                            attribute_type:
                              type: string
                              enum:
                                - timestamp
                              description: The attribute type of the value.
                              example: timestamp
                            value:
                              type: string
                              description: >-
                                A timestamp value represents a single, universal
                                moment in time using an ISO 8601 formatted
                                string. This means that a timestamp consists of
                                a date, a time (with nanosecond precision), and
                                a time zone. Attio will coerce timestamps which
                                do not provide full nanosecond precision and UTC
                                is assumed if no time zone is provided. For
                                example, "2023", "2023-01", "2023-01-02",
                                "2023-01-02T13:00", "2023-01-02T13:00:00", and
                                "2023-01-02T13:00:00.000000000" will all be
                                coerced to "2023-01-02T13:00:00.000000000Z".
                                Timestamps are always returned in UTC. For
                                example, writing a timestamp value using the
                                string "2023-01-02T13:00:00.000000000+02:00"
                                will result in the value
                                "2023-01-02T11:00:00.000000000Z" being returned.
                                The maximum date is
                                "9999-12-31T23:59:59.999999999Z".
                              format: date
                              example: '2023-01-01T15:00:00.000000000Z'
                          required:
                            - active_from
                            - active_until
                            - created_by_actor
                            - attribute_type
                            - value
                          additionalProperties: false
                required:
                  - data
                description: Success
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    enum:
                      - 400
                  type:
                    type: string
                    enum:
                      - invalid_request_error
                  code:
                    type: string
                    enum:
                      - validation_type
                  message:
                    type: string
                    example: >-
                      Cannot set show_historic param to true when querying a
                      COMINT attribute.
                required:
                  - status_code
                  - type
                  - code
                  - message
                description: Bad Request
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    enum:
                      - 404
                  type:
                    type: string
                    enum:
                      - invalid_request_error
                  code:
                    type: string
                    enum:
                      - not_found
                  message:
                    type: string
                    example: Attribute with slug/ID "my-attribute" not found.
                required:
                  - status_code
                  - type
                  - code
                  - message
                description: Not Found
      security:
        - oauth2:
            - record_permission:read
            - object_configuration:read
components:
  schemas:
    status:
      type: object
      properties:
        id:
          type: object
          properties:
            workspace_id:
              type: string
              format: uuid
              description: The ID of the workspace
              example: 14beef7a-99f7-4534-a87e-70b564330a4c
            object_id:
              type: string
              format: uuid
              description: The ID of the object
              example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
            attribute_id:
              type: string
              format: uuid
              description: The ID of the attribute
              example: 41252299-f8c7-4b5e-99c9-4ff8321d2f96
            status_id:
              type: string
              format: uuid
              description: The ID of the status
              example: 11f07f01-c10f-4e05-a522-33e050bc52ee
          required:
            - workspace_id
            - object_id
            - attribute_id
            - status_id
        title:
          type: string
          description: The title of the status
          example: In Progress
        is_archived:
          type: boolean
          description: >-
            Whether or not to archive the status. See our [archiving
            guide](/docs/archiving-vs-deleting) for more information on
            archiving.
          example: false
        celebration_enabled:
          type: boolean
          description: >-
            Whether arriving at this status triggers a celebration effect in the
            UI
          example: false
        target_time_in_status:
          type:
            - string
            - 'null'
          description: >-
            Target time for a record to spend in given status expressed as a
            ISO-8601 duration string
          example: P0Y0M1DT0H0M0S
      required:
        - id
        - title
        - is_archived
        - celebration_enabled
        - target_time_in_status
    select-option:
      type: object
      properties:
        id:
          type: object
          properties:
            workspace_id:
              type: string
              format: uuid
              description: The ID of the workspace
              example: 14beef7a-99f7-4534-a87e-70b564330a4c
            object_id:
              type: string
              format: uuid
              description: The ID of the object
              example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
            attribute_id:
              type: string
              format: uuid
              description: The ID of the attribute
              example: 41252299-f8c7-4b5e-99c9-4ff8321d2f96
            option_id:
              type: string
              format: uuid
              description: The ID of the select option
              example: 08c2c59a-c18e-40c6-8dc4-95415313b2ea
          required:
            - workspace_id
            - object_id
            - attribute_id
            - option_id
        title:
          type: string
          description: The title of the select option
          example: Medium
        is_archived:
          type: boolean
          description: >-
            Whether or not to archive the select option. See our [archiving
            guide](/docs/archiving-vs-deleting) for more information on
            archiving.
          example: false
      required:
        - id
        - title
        - is_archived
  securitySchemes:
    oauth2:
      type: oauth2
      description: This API uses OAuth 2.0 with the authorization code grant flow.
      flows:
        authorizationCode:
          authorizationUrl: https://app.attio.com/authorize
          tokenUrl: https://app.attio.com/oauth/token
          scopes:
[...]
